# Uses of Interface
org.xml.sax.EntityResolver

Packages that use EntityResolver
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

- ## Uses of EntityResolver in javax.xml.catalog

  Subinterfaces of EntityResolver in javax.xml.catalog
  Modifier and Type
  Interface
  Description
  `interface`
  `CatalogResolver`
  A Catalog Resolver that implements SAX `EntityResolver`, StAX `XMLResolver`, DOM LS `LSResourceResolver` used by Schema Validation, and Transform `URIResolver`, and resolves external references using catalogs.

- ## Uses of EntityResolver in javax.xml.parsers

  Methods in javax.xml.parsers with parameters of type EntityResolver
  Modifier and Type
  Method
  Description
  `abstract void`
  DocumentBuilder.`setEntityResolver(EntityResolver er)`
  Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed.

- ## Uses of EntityResolver in org.xml.sax

  Classes in org.xml.sax that implement EntityResolver
  Modifier and Type
  Class
  Description
  `class`
  `HandlerBase`
  Deprecated.
  This class works with the deprecated `DocumentHandler` interface.
  Methods in org.xml.sax that return EntityResolver
  Modifier and Type
  Method
  Description
  `EntityResolver`
  XMLReader.`getEntityResolver()`
  Return the current entity resolver.
  Methods in org.xml.sax with parameters of type EntityResolver
  Modifier and Type
  Method
  Description
  `void`
  Parser.`setEntityResolver(EntityResolver resolver)`
  Deprecated.
  Allow an application to register a custom entity resolver.
  `void`
  XMLReader.`setEntityResolver(EntityResolver resolver)`
  Allow an application to register an entity resolver.

- ## Uses of EntityResolver in org.xml.sax.ext

  Subinterfaces of EntityResolver in org.xml.sax.ext
  Modifier and Type
  Interface
  Description
  `interface`
  `EntityResolver2`
  Extended interface for mapping external entity references to input sources, or providing a missing external subset.
  Classes in org.xml.sax.ext that implement EntityResolver
  Modifier and Type
  Class
  Description
  `class`
  `DefaultHandler2`
  This class extends the SAX2 base handler class to support the SAX2 `LexicalHandler`, `DeclHandler`, and `EntityResolver2` extensions.

- ## Uses of EntityResolver in org.xml.sax.helpers

  Classes in org.xml.sax.helpers that implement EntityResolver
  Modifier and Type
  Class
  Description
  `class`
  `DefaultHandler`
  Default base class for SAX2 event handlers.
  `class`
  `XMLFilterImpl`
  Base class for deriving an XML filter.
  Methods in org.xml.sax.helpers that return EntityResolver
  Modifier and Type
  Method
  Description
  `EntityResolver`
  ParserAdapter.`getEntityResolver()`
  Return the current entity resolver.
  `EntityResolver`
  XMLFilterImpl.`getEntityResolver()`
  Get the current entity resolver.
  Methods in org.xml.sax.helpers with parameters of type EntityResolver
  Modifier and Type
  Method
  Description
  `void`
  ParserAdapter.`setEntityResolver(EntityResolver resolver)`
  Set the entity resolver.
  `void`
  XMLFilterImpl.`setEntityResolver(EntityResolver resolver)`
  Set the entity resolver.
  `void`
  XMLReaderAdapter.`setEntityResolver(EntityResolver resolver)`
  Register the entity resolver.